---
updatedAt: 2025-11-12T02:59:26.000Z
agentTools:
  projectIndex: https://docs.sevenbridges.com/llms.txt
---

# Delete a single marker

This call deletes a single genetic marker.

> 📘 If you are using Seven Bridges Platform EU, please use the following endpoint: `https://eu-api.sbgenomics.com/v2/genome/markers/{marker_id}`

> ❗️ Heads Up!
>
> This page documents the Advance Access version (think "beta" but with fewer bugs) of the Marker functionality.

## Response

[See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response](https://docs.sevenbridges.com/reference/api-status-codes).

## Response body

If the request executed properly, there will be no response body for this request.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "seven-bridges-platform",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sbgenomics.com/v2"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/genome/markers/{marker_id}": {
      "delete": {
        "summary": "Delete a single marker",
        "description": "This call deletes a single genetic marker.",
        "operationId": "delete-a-single-marker",
        "parameters": [
          {
            "name": "X-SBG-Auth-Token",
            "in": "header",
            "description": "Your Seven Bridges Platform [authentication token](https://docs.sevenbridges.com/docs/get-your-authentication-token). For security reasons, token will not be automatically populated in the generated code sample. Please replace `<your-token-here>` with your token before executing this call.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "X-SBG-Advance-Access",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "advance"
            }
          },
          {
            "name": "marker_id",
            "in": "path",
            "description": "This is the marker ID for the specific genetic marker you wish to delete. Obtain the marker_id for a genetic marker on a BAM file by making the API call to [List markers available on a file](https://docs.sevenbridges.com/reference/list-markers-available-on-a-file).",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "python",
              "code": "from sevenbridges import Api\n\napi = Api(url='https://api.sbgenomics.com/v2',\n          token='3210a98c1db9318fa9d9273156740f74',\n          advance_access=True)\n\nmarker = api.markers.get(id='59243a7b92bd172e013a1a91')\n\n# send DELETE request to SB API\nmarker.delete()"
            }
          ],
          "samples-languages": [
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "X-SBG-Auth-Token",
        "value": "<your-token-here>"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```